search_n.hpp File Reference

## Functions

template<typename I , typename S , typename V , typename C = equal_to, typename P = identity>
auto | ranges::search_n (I first, S last, iter_difference_t< I > cnt, V const &val, C pred=C{}, P proj=P{}) -> subrange< I > requires forward_iterator< I > &&sentinel_for< S, I > &&indirectly_comparable< I, V const *, C, P >
| function template `search_n`
template<typename Rng , typename V , typename C = equal_to, typename P = identity>
auto | ranges::search_n (Rng &&rng, iter_difference_t< iterator_t< Rng >> cnt, V const &val, C pred=C{}, P proj=P{}) -> safe_subrange_t< Rng > requires forward_range< Rng > &&indirectly_comparable< iterator_t< Rng >, V const *, C, P >